cancel
Showing results for 
Search instead for 
Did you mean: 

can't download firefox 18 despite having all system requirements

Highlighted
New User

can't download firefox 18 despite having all system requirements

I have a MAc running OSX 10.6 with plenty of memory space available and an intel dual core processor. I hav tried multiple times to download Firefox 18 and according to the "about" tab in the FF windo, I am current. However, multiple sites on the web inform me my browser is out of date. What next?

2 REPLIES
Site Moderator

Re: can't download firefox 18 despite having all system requirements

You have a corrupted user agent that identifies you as Firefox/3.5.6, caused by fast browser search (FBSMTWB)

  • Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.1.6) Gecko/20091201 Firefox/3.5.6 FBSMTWB

See:

Site Moderator

Re: can't download firefox 18 despite having all system requirements